Package org.opentcs.data.model.visualization

# Enum LocationRepresentation

java.lang.Object
java.lang.Enum<LocationRepresentation>
org.opentcs.data.model.visualization.LocationRepresentation

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LocationRepresentation>`, `java.lang.constant.Constable`

    public enum LocationRepresentation
    extends java.lang.Enum<LocationRepresentation>

Common location representations.

See Also:
  `ObjectPropConstants.LOCTYPE_DEFAULT_REPRESENTATION`, `ObjectPropConstants.LOC_DEFAULT_REPRESENTATION`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DEFAULT` | The default representation inherited from the assigned location type.
  `LOAD_TRANSFER_ALT_1` | A location for vehicle load transfers, alternative variant 1.
  `LOAD_TRANSFER_ALT_2` | A location for vehicle load transfers, alternative variant 2.
  `LOAD_TRANSFER_ALT_3` | A location for vehicle load transfers, alternative variant 3.
  `LOAD_TRANSFER_ALT_4` | A location for vehicle load transfers, alternative variant 4.
  `LOAD_TRANSFER_ALT_5` | A location for vehicle load transfers, alternative variant 5.
  `LOAD_TRANSFER_GENERIC` | A location for vehicle load transfer, generic variant.
  `NONE` | A (empty) location without any representation.
  `RECHARGE_ALT_1` | A location for recharging a vehicle, alternative variant 1.
  `RECHARGE_ALT_2` | A location for recharging a vehicle, alternative variant 2.
  `RECHARGE_GENERIC` | A location for recharging a vehicle, generic variant.
  `WORKING_ALT_1` | A location for some generic processing, alternative variant 1.
  `WORKING_ALT_2` | A location for some generic processing, alternative variant 2.
  `WORKING_GENERIC` | A location for some generic processing, generic variant.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LocationRepresentation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static LocationRepresentation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final LocationRepresentation NONE
    A (empty) location without any representation.

  - ### DEFAULT

    public static final LocationRepresentation DEFAULT
    The default representation inherited from the assigned location type.

  - ### LOAD_TRANSFER_GENERIC

    public static final LocationRepresentation LOAD_TRANSFER_GENERIC
    A location for vehicle load transfer, generic variant.

  - ### LOAD_TRANSFER_ALT_1

    public static final LocationRepresentation LOAD_TRANSFER_ALT_1
    A location for vehicle load transfers, alternative variant 1.

  - ### LOAD_TRANSFER_ALT_2

    public static final LocationRepresentation LOAD_TRANSFER_ALT_2
    A location for vehicle load transfers, alternative variant 2.

  - ### LOAD_TRANSFER_ALT_3

    public static final LocationRepresentation LOAD_TRANSFER_ALT_3
    A location for vehicle load transfers, alternative variant 3.

  - ### LOAD_TRANSFER_ALT_4

    public static final LocationRepresentation LOAD_TRANSFER_ALT_4
    A location for vehicle load transfers, alternative variant 4.

  - ### LOAD_TRANSFER_ALT_5

    public static final LocationRepresentation LOAD_TRANSFER_ALT_5
    A location for vehicle load transfers, alternative variant 5.

  - ### WORKING_GENERIC

    public static final LocationRepresentation WORKING_GENERIC
    A location for some generic processing, generic variant.

  - ### WORKING_ALT_1

    public static final LocationRepresentation WORKING_ALT_1
    A location for some generic processing, alternative variant 1.

  - ### WORKING_ALT_2

    public static final LocationRepresentation WORKING_ALT_2
    A location for some generic processing, alternative variant 2.

  - ### RECHARGE_GENERIC

    public static final LocationRepresentation RECHARGE_GENERIC
    A location for recharging a vehicle, generic variant.

  - ### RECHARGE_ALT_1

    public static final LocationRepresentation RECHARGE_ALT_1
    A location for recharging a vehicle, alternative variant 1.

  - ### RECHARGE_ALT_2

    public static final LocationRepresentation RECHARGE_ALT_2
    A location for recharging a vehicle, alternative variant 2.

- ## Method Details

  - ### values

    public static LocationRepresentation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LocationRepresentation valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null